Package org.apache.wiki.htmltowiki.syntax

# Class PlainTextCssSpecialDecorator

java.lang.Object
org.apache.wiki.htmltowiki.syntax.PlainTextCssSpecialDecorator

public abstract class PlainTextCssSpecialDecorator extends Object
Translates to wiki syntax from a plain text handling special css.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final XHtmlElementToWikiTranslator`
`chain`
`protected final PrintWriter`
`out`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PlainTextCssSpecialDecorator(PrintWriter out, XHtmlElementToWikiTranslator chain)`

## Method Summary

Modifier and Type
Method
Description
`void`
`decorate(XHtmlElementToWikiTranslator.ElementDecoratorData dto)`
Translates the given XHTML element into wiki markup.
`protected abstract String`
`markupCssSpecialClose(String cssStyle)`
Closing wiki markup for a css style element.
`protected abstract String`
`markupCssSpecialDivClose(String cssStyle)`
Closing wiki markup for a css style element.
`protected abstract String`
`markupCssSpecialDivOpen(String cssStyle)`
Opening wiki markup for a css style element.
`protected abstract String`
`markupCssSpecialOpen(String cssStyle)`
Opening wiki markup for a css style element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### out

protected final PrintWriter out

### chain

protected final XHtmlElementToWikiTranslator chain

## Constructor Details

### PlainTextCssSpecialDecorator

protected PlainTextCssSpecialDecorator(PrintWriter out, XHtmlElementToWikiTranslator chain)

## Method Details

### decorate

public void decorate(XHtmlElementToWikiTranslator.ElementDecoratorData dto) throws org.jdom2.JDOMException
Translates the given XHTML element into wiki markup.

Parameters:
  `dto` - XHTML element being translated.
Throws:
  `org.jdom2.JDOMException`

### markupCssSpecialDivOpen

protected abstract String markupCssSpecialDivOpen(String cssStyle)
Opening wiki markup for a css style element.

Parameters:
  `cssStyle` - css styles to apply
Returns:
  Opening wiki markup for a css style element.

### markupCssSpecialDivClose

protected abstract String markupCssSpecialDivClose(String cssStyle)
Closing wiki markup for a css style element.

Parameters:
  `cssStyle` - css styles to apply
Returns:
  Closing wiki markup for a css style element.

### markupCssSpecialOpen

protected abstract String markupCssSpecialOpen(String cssStyle)
Opening wiki markup for a css style element.

Parameters:
  `cssStyle` - css styles to apply
Returns:
  Opening wiki markup for a css style element.

### markupCssSpecialClose

protected abstract String markupCssSpecialClose(String cssStyle)
Closing wiki markup for a css style element.

Parameters:
  `cssStyle` - css styles to apply
Returns:
  Closing wiki markup for a css style element.